
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>详解PHP中的null合并运算符_php实例 / iVAN</title>

    <meta name="description" content="详解PHP中的null合并运算符_php实例 null合并运算符是一个好东西,有了它我们就能很方便的获取一个参数,并能在其为空的情况下提供一个默认值.比如在js中可以用||来搞: function setSomething(a){ a = a || 'some-default-value'; // ... } 而在PHP中,可惜PHP的||总是返回true或false,无法这样来搞.  PHP7才正式加入了??这个运算符: // 获取user参数的值(如果为空,则用'nobody') $username = $_GET['user'] ??">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">详解PHP中的null合并运算符_php实例</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>null合并运算符是一个好东西，有了它我们就能很方便的获取一个参数，并能在其为空的情况下提供一个默认值。比如在js中可以用||来搞：</p>
<pre>
function setSomething(a){
  a = a || 'some-default-value';
  // ...
}</pre>
<p>而在PHP中，可惜PHP的||总是返回true或false，无法这样来搞。</p>
<p><strong> PHP7才正式加入了??这个运算符：</strong></p>
<pre>
// 获取user参数的值(如果为空，则用'nobody')
$username = $_GET['user'] ?? 'nobody';
// 等价于:
$username = isset($_GET['user']) ? $_GET['user'] : 'nobody';</pre>
<p> PHP7 估计还有很长时间才能用到生产环境中，那在目前的PHP5中有没有替代方案呢？</p>
<p><strong> 据研究，完全有个非常便捷的替代方案：</strong></p>
<pre>
// 获取user参数的值(如果为空，则用'nobody')
$username = @$_GET['user'] ?: 'nobody';
// 等价于:
$username = isset($_GET['user']) ? $_GET['user'] : 'nobody';</pre>
<p> -- 运行此代码: https://3v4l.org/aDUW8</p>
<p>瞪大了眼睛看，跟前面的PHP7的例子差不多，主要是把 ?? 替换为了 ?: 。 这个是个什么鬼呢？其实这就是 (expr1) ? (expr2) : (expr3) 表达式的省略模式：</p>
<p> 表达式 (expr1) ? (expr2) : (expr3) 在 expr1 求值为 TRUE 时的值为 expr2，在 expr1 求值为 FALSE 时的值为 expr3。</p>
<p> 自 PHP 5.3 起，可以省略三元运算符中间那部分。表达式 expr1 ?: expr3 在 expr1 求值为 TRUE 时返回 expr1，否则返回 expr3。</p>
<p> -- http://php.net/manual/zh/language.operators.comparison.php</p>
<p>当然，这个替代方案也不是完美的 —— 如果 $_GET 中没有 'user'，会有一条 Notice: Undefined index: user 的错误，所以需要用@来抑制这个错误，或者关闭 E_NOTICE 的错误。</p>
<p><strong>ps：PHP7 null合并运算符 告别isset()</strong></p>
<p>以前的写法</p>
<pre>
$info = isset($_GET['email']) ? $_GET['email'] : ‘noemail';</pre>
<p>现在直接这样写就可以了</p>
<pre>
$info = $_GET['email'] ?? noemail;</pre>
<p>还可以这样连写使用</p>
<pre>
$info = $_GET['email'] ?? $_POST['email'] ?? ‘noemail';</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索php运算符<br />
                    ，                null合并运算符<br />
                                    合并运算符<br />
                                    null合并运算符、三目运算符 null、java 三目运算符 null、三目运算符后面是null、c语言运算符详解，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 11:26:13</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/null%e5%90%88%e5%b9%b6%e8%bf%90%e7%ae%97%e7%ac%a6/" title="null合并运算符">null合并运算符</a>, <a href="https://www.iamivan.net/tag/php%e8%bf%90%e7%ae%97%e7%ac%a6/" title="php运算符">php运算符</a>, <a href="https://www.iamivan.net/tag/%e5%90%88%e5%b9%b6%e8%bf%90%e7%ae%97%e7%ac%a6/" title="合并运算符">合并运算符</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>详解PHP中的null合并运算符_php实例的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlK9Rnb.html" rel="bookmark">详解PHP中websocket的使用方法&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于PHP中websocket使用的详细注解,供大家参考. 服务端:  &lt;?php //send用户加入 //send1发送信息 //send2退出登录 error_reporting(E_ALL ^ E_NOTICE); ob_implicit_flush(); //file_put_contents('lz.text','123', FILE_APPEND); $sk=new Sock('127.0.0.1',8000); $sk-&gt;run(); class Sock{ public $s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M16x0jp.html" rel="bookmark">详解Android中图片的三级缓存及实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				详解Android中图片的三级缓存及实例 为什么要使用三级缓存 如今的 Android App 经常会需要网络交互,通过网络获取图片是再正常不过的事了 假如每次启动的时候都从网络拉取图片的话,势必会消耗很多流量.在当前的状况下,对于非wifi用户来说,流量还是很贵的,一个很耗流量的应用,其用户数量级肯定要受到影响 特别是,当我们想要重复浏览一些图片时,如果每一次浏览都需要通过网络获取,流量的浪费可想而知 所以提出三级缓存策略,通过网络.本地.内存三级缓存图片,来减少不必要的网络交互,避免浪费流量			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJO1Kwb.html" rel="bookmark">详解Android中的沉浸式状态栏效果实例&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				无意间了解到沉浸式状态栏,感觉贼拉的高大上,于是就是试着去了解一下,就有了这篇文章.下面就来了解一下啥叫沉浸式状态栏.传统的手机状态栏是呈现出黑色条状的,有的和手机主界面有很明显的区别.这一样就在一定程度上牺牲了视觉宽度,界面面积变小. Google从android kitkat(Android 4.4)开始,给我们开发者提供了一套能透明的系统ui样式给状态栏和导航栏,这样的话就不用向以前那样每天面对着黑乎乎的上下两条黑栏了,还可以调成跟Activity一样的样式,形成一个完整的主题,和IOS7			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgQON8z.html" rel="bookmark">详解PHP中的状态模式编程&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				定义状态模式,又称状态对象模式(Pattern of Objects for State),状态模式就是对象的行为模式.状态模式允许一个对象在其内部状态改变的时候改变其行为.这个对象看上去就像是改变了它的类一样 UML图 状态模式中主要角色抽象状态角色(State):定义一个接口或抽象类State,用以封装环境对象的一个特定的状态所对应的行为 具体状态(ConcreteState)角色:每一个状态类都实现了环境(Context)的一个状态所对应的行为 环境(Context)角色:定义客户端所感兴			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgQDDmz.html" rel="bookmark">详解PHP编码转换函数应用技巧&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在PHP中有数量庞大的函数来支持我们的需求应用.下面介绍的这个函数就是有关PHP编码转换函数.希望对大家有所帮助.mb_convert_encoding 函数为PHP内部多字节字符串编码转换函数. 可以在有需要的使用场合(如:解决在GB2312编码环境下使用Ajax产生的中文字乱码的问题)方便进行编码转换,以解决网页乱码的问题,使用非常方便,效率非常高,几乎支持所有编码.PHP 4 &gt;= 4.0.6.PHP 5 版本支持. PHP编码转换函数原型: /**  * 多字节字符串编码转换函数  * 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8NExlb.html" rel="bookmark">详解C&plus;&plus;中const&lowbar;cast与reinterpret&lowbar;cast运算符的用法&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				const_cast 运算符从类中移除 const.volatile 和 __unaligned 特性. 语法 const_cast &lt; type-id &gt; ( expression ) 备注 指向任何对象类型的指针或指向数据成员的指针可显式转换为完全相同的类型(const.volatile 和 __unaligned 限定符除外).对于指针和引用,结果将引用原始对象.对于指向数据成员的指针,结果将引用与指向数据成员的原始(未强制转换)的指针相同的成员.根据引用对象的类型,通过生成的指针.引用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9jP4Vp.html" rel="bookmark">详解JavaScript中&vert;单竖杠运算符的使用方法&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				js运算符单竖杠&quot;|&quot;的作用 在js整数操作的时候,相当于去除小数点,parseInt.在正数的时候相当于Math.floor(),负数的时候相当于Math.ceil() 注: 1. Math.ceil()用作向上取整. 2. Math.floor()用作向下取整. 3. Math.round() 我们数学中常用到的四舍五入取整. console.log(0.6|0)//0 console.log(1.1|0)//1 console.log(3.65555|0)//3 console.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXjn5Lb.html" rel="bookmark">详解js异步文件加载器&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们经常会遇到这种场景,某些页面依赖第三方的插件,而这些插件比较大,不适合打包到页面的主js里(假设我们使用的是cmd的方式,js会打包成一个文件),那么这个时候我们通常会异步获取这些插件文件,并在下载完成后完成初始化的逻辑. 以图片上传为例,我们可能会用到plupload.js这个插件,那么我们会这么写: !window.plupload ? $.getScript( &quot;/assets/plupload/plupload.full.min.js&quot;, function() { self			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgKv8OM.html" rel="bookmark">详解JavaScript中void语句的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了详解JavaScript中void语句的使用,是JS入门学习中的基础知识,需要的朋友可以参考下 void是在JavaScript中的一个重要的关键字可被用作其单操作数之前出现一元运算符,其可以是任何类型. 此运算符指定不需要返回值,进行计算的表达式.它的语法可能是下列之一: ? 1 2 3 4 5 &lt;head&gt; &lt;script type=&quot;text/javascript&quot;&gt; &lt;!-- void func() javascript:vo			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/lpPWNZM.html" rel="bookmark" class="title">Delphi&plus;Word的数据库系统设计</a>
					<div>
						Delphi擅长做数据库系统的开发,其功能强大,开发快速.但现在大多数的数据库系统80%的工作都是简单的增删改的工作,用数据库系统来实现增删改,存在录入不方便,录入内容简单等问题,尤其对于处理大量的文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv4QVz.html" rel="bookmark" class="title">在ASP与ASP&period;NET之间共享对话状态&lpar;1&rpar;</a>
					<div>
						asp.net ［前言:］ASP.NET是微软提供的最新的开发基于Web的应用程序的技术.它提供了大量的比传统ASP脚本技术的好处,包括: 1)通过把UI表现层(presentation)与商业逻辑( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz70nab.html" rel="bookmark" class="title">第七篇 ASP内建对象Request</a>
					<div>
						从本篇开始作者从 ASP 内建对象着手,为大家详细剖析 ASP 的六个内建对象和各种组件的特性和方法. 在正式开始学习 ASP 的内建对象和组件之前,先让我们来认识一些基本概念,这将对各位今后的学习大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnQe0M.html" rel="bookmark" class="title">取得服务器上用户组列表脚本之VBS版</a>
					<div>
						'groups.vbs'时间:2001.2.5'版本:1.0'作者:沧海笑一声'其它:此脚本原作者写于2000年初,沧海用过后觉得不是很好用.'它原来的显示方式是wsh的方法,往往要多屏显示,而且不能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzD7DLp.html" rel="bookmark" class="title">ASP入门教程-静态网页和动态网页</a>
					<div>
						静态网页与动态网页的区别在于Web服务器对它处理方式不同.了解这种区别对于ASP概念的理解至关重要. 1.静态网页 静态网页是标准的HTML文件,其文件扩展名是.htm或.html.它可以包含HTML ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62vaOM.html" rel="bookmark" class="title">linux系统编程之管道（一） 匿名管道和pipe函数</a>
					<div>
						一.进程间通信 每个进程各自有不同的用户地址空间,任何一个进程的全局变量在另一个进程中都看不到,所以进程之间要交换数据必须通过内核,在内核中开辟一块缓冲区,进程1把数据从用户空间拷到内核缓冲区,进程2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balD8nz.html" rel="bookmark" class="title">酷狗音乐打不开或者打开很慢怎么办</a>
					<div>
						  酷狗音乐打不开或者打开很慢怎么办           1.首先,双击360安全卫士的快捷方式,打开360安全卫士,如下图箭头所示: 2.打开360安全卫士后就是这样,如下图所示: 3.我们再点击一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOw0LQz.html" rel="bookmark" class="title">使用css实现圆角图形绘制</a>
					<div>
						  查看 demo html XML/HTML Code复制内容到剪贴板 &lt;div class=&quot;curvedBox&quot;&gt; &lt;span&gt; &lt;span c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDA2Erb.html" rel="bookmark" class="title">js为鼠标添加右击事件防止默认的右击菜单弹出</a>
					<div>
						本文为大家介绍下如何为使用js为鼠标添加右击事件防止默认的右击菜单弹出,感兴趣的朋友可以参考下,希望对大家有所帮助   复制代码 代码如下: &lt;script language=&quot;jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3Rm8M.html" rel="bookmark" class="title">UC浏览器怎么清除缓存</a>
					<div>
						  1.双击打开你的uc浏览器 2.在UC浏览器电脑版右上角点击&quot;三&quot;图标进入菜单列表界面,然后在界面中选择&quot;清除浏览数据&quot; 3.在打开的页面中的窗体中选择删除 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1QKyb.html" rel="bookmark" class="title">win8系统中创建恢复驱动器失败怎么办</a>
					<div>
						  1.首先,咱们需要返回到win8电脑的传统桌面位置,之后,咱们同时按下win8电脑键盘上的win+X快捷键打开电脑的快捷菜单,在打开的快捷菜单中,咱们选择点击命令提示符(管理员),注意,这里一定要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvG3aap.html" rel="bookmark" class="title">nsa文件怎么打开并播放</a>
					<div>
						  如果只是单独的想打开NSA文件,那么我们下载软件ExtractData即可,打开之后里面就是图片和音乐,可是详细的看看.在网页浏览器中搜索该软件并下载即可,那么我们要播放NSA文件怎么办呢?不要急 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3o40wb.html" rel="bookmark" class="title">《洛克菲勒留给儿子的38封信》 第三封：天堂与地狱比邻</a>
					<div>
						第三封:天堂与地狱比邻 格言:我们劳苦的最高报酬,不在于我们所获得的,而在于我们会因此成为什么. 如果你视工作为一种乐趣,人生就是天堂:如果你视工作为一种义务,人生就是地狱. (With this f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRPPEz.html" rel="bookmark" class="title">能写稿能主持 类人机器人杀入媒体圈</a>
					<div>
						机器人的话题近日再次热起来,日本科学家推出了两个女主播机器人,不但口齿伶俐播新闻不结巴,而且外形逼真,几乎让人难辨真假.主播出来没几天,美联社就宣布,要&quot;招聘&quot;机器人记者负责写稿, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWEkWp.html" rel="bookmark" class="title">shiro</a>
					<div>
						核心概念:Subject, SecurityManager, and Realms ###Subject ####Subject is a security term that basically m ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWxQXp.html" rel="bookmark" class="title">sqlserver c&plus;&plus;builder-C&plus;&plus;Builder连接SQL server数据库</a>
					<div>
						问题描述 C++Builder连接SQL server数据库 如何用C++Builder软件对连接SQLserver数据库,并把编写数据库中表格的脚本信息读取出来出来,求大神指导!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQ1WEp.html" rel="bookmark" class="title">java   web-java web cookie的一个问题</a>
					<div>
						问题描述 java web cookie的一个问题 请问各位大神,我在cookie里面存了一个String 类型的字符串 已经存到浏览器里面了 怎样才能取出来呢?String cookie = id  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YvdaM.html" rel="bookmark" class="title">c语言-我写的哪里错了，求助</a>
					<div>
						问题描述 我写的哪里错了,求助 #include #include void main(void) { char str1[30]={0}; char str2[30]={0}; char str3[ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV09DnM.html" rel="bookmark" class="title">ActiveMQ BrokeUrl的配置和消息持久化配置</a>
					<div>
						很多文章Provider和Consumer的连接服务器地址brokeUrl都写成&quot;tcp://192.168.1.139:61616&quot; 并没有交代为啥是61616,而且我做实验换成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRDG9Bz.html" rel="bookmark" class="title">excel动态获取列-在公式中使用INDIRECT函数</a>
					<div>
						问题描述 在公式中使用INDIRECT函数 在公式中使用INDIRECT函数,取得制定单元格的值的代码 解决方案 =INDIRECT(&quot;B&quot; &amp; ROW()) + INDI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7D9kM.html" rel="bookmark" class="title">怎么辨别网络广告联盟的信誉程度</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 现在的联盟许多都是骗子,但我有去看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7DyOz.html" rel="bookmark" class="title">国内云服务格局初定，中小玩家SaaS是突破点</a>
					<div>
						立足于国内,虽然大型企业纷纷踏足云服务市场,但是在IaaS市场之外,SaaS市场却尚未有巨头介入,或是没有&quot;生&quot;出巨头.而PaaS由于上下两层的挤压也一直未能够得到很好的发展--这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5R9LDz.html" rel="bookmark" class="title">这两天写了两个开源小工具</a>
					<div>
						﻿﻿ 这两天写了两个开源小工具 第一个工具:https://github.com/wicrecend/PingAll 读取machines.txt文件中的机器,然后ping每一台机器,得到机器连接的结 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8YmdNz.html" rel="bookmark" class="title">优秀OA系统的五大特性</a>
					<div>
						什么样的OA算得上是好的OA系统?好的OA系统具有哪些特性?OA系统是不是功能越多越好? OA系统的价格是不是越高越好?在OA选型过程中,以上问题总是困扰着许多人.其实OA选型从来都不是一刀切,一款好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodQm6M.html" rel="bookmark" class="title">asp&period;net mvc中的路径选择</a>
					<div>
						MVC的路径选择十分灵活,可以用类似/parm1/parm2/parm3/ 的方式(这个有点象iis的urlrewriter),也可以象传统url那样用/?parm1=a&amp;parm2=b&am ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5o2Ep.html" rel="bookmark" class="title">c 递归 全排列-请教大神：如何使全排列按从小到大的顺序输出？</a>
					<div>
						问题描述 请教大神:如何使全排列按从小到大的顺序输出? 现在只能输出全排列. 代码如下: #include int main() { void change(int *a,int *b,int tem ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK1Oop.html" rel="bookmark" class="title">Docker和&OpenCurlyDoubleQuote;朋友们&rdquo;为软件容器推出标准组织</a>
					<div>
						Docker和Linux基金会联手,共同创建了一个新的组织,该组织将监督并管理应用程序容器开放标准. 这一消息是星期一在旧金山召开的DockerCon大会上宣布的,Open Container Pro ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2n26z.html" rel="bookmark" class="title">nginx下支持PATH&lowbar;INFO的方法实例详解&lowbar;nginx</a>
					<div>
						本文实例分析了nginx下支持PATH_INFO的方法.分享给大家供大家参考,具体如下: 要想让nginx支持PATH_INFO,首先需要知道什么是pathinfo,为什么要用pathinfo? pa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8oEkb.html" rel="bookmark" class="title">javascript中对Attr&lpar;dom中属性&rpar;的操作示例讲解&lowbar;jquery</a>
					<div>
						复制代码 代码如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqWn0Rz.html" rel="bookmark" class="title">K歌达人APP申请加入家族教程分享</a>
					<div>
						给各位K歌达人软件的使用者们来详细的解析分享一下申请加入家族的教程. 教程分享:     1.首先先打开[K歌达人],进去之后点击[我],接着点击[家族]. 2.进去之后选择自己想要加入有家族点击一下 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
